package com.rnalice

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.Onboarding
import com.alicebiometrics.onboarding.config.OnboardingConfig
import com.facebook.react.ReactActivity
import kotlinx.serialization.UnstableDefault


class AliceActivity : ReactActivity() {

    private val onboardingRequestCode: Int = 100

    @UnstableDefault
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")
        val configMap = extrasBundle?.getSerializable("config")

        val config = OnboardingConfig.fromDictionary(configMap!!, userToken!!)

        val onboarding = Onboarding(this, config = config)
        onboarding.run(onboardingRequestCode)
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == onboardingRequestCode) {
            setResult(resultCode, data)
            finish()
        }
    }
}