package com.rnalice

import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.*


class CommandAddDocumentActivity : ReactActivity() {

    private val REQUEST_CODE_ADD_DOCUMENT: Int = 100

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")
        val documentId = extrasBundle?.getString("documentId", "")
        val type = extrasBundle?.getString("type", "")
        val side = extrasBundle?.getString("side", "")
        val issuingCountry = extrasBundle?.getString("issuingCountry", "")

        val onboardingCommands = OnboardingCommands((this as AppCompatActivity) , userToken!!)

        onboardingCommands.addDocument(documentId=documentId!!,
                type= DocumentType.value(type!!),
                issuingCountry=issuingCountry!!,
                side= DocumentSide.valueOf(side!!),
                requestCode=REQUEST_CODE_ADD_DOCUMENT)
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == REQUEST_CODE_ADD_DOCUMENT) {
            setResult(resultCode, data)
            finish()
        }
    }
}