import com.alicebiometrics.onboarding.api.OnboardingError
import com.alicebiometrics.onboarding.auth.AuthenticationError

class TransformationTools {
    companion object {
        fun stringFromSandboxError(sandboxError: AuthenticationError): String {
            return when (sandboxError) {
                AuthenticationError.INVALIDSANDBOXTOKEN -> "Invalid Sandbox Token"
                AuthenticationError.CLIENTERROR -> "Client error"
                AuthenticationError.SERVERERROR -> "clientError"
                AuthenticationError.UNKNOWNERROR -> "Unknown Error"
                AuthenticationError.ENCODINGERROR -> "Encoding Error"
                AuthenticationError.CONNECTIONERROR -> "Connection Error"
                else -> "Unknown Error"
            }
        }
        fun stringFromOnboardingError(onboardingError: OnboardingError): String {
            return when (onboardingError) {
                is OnboardingError.UnknownError -> "${onboardingError.statusCode}: Client Error ${onboardingError.message}"
                is OnboardingError.ConnectionError -> "Connection Error"
                is OnboardingError.InsufficientFaces -> "Insufficient Faces"
                is OnboardingError.InvalidIssuingCountryError -> "Invalid Issuing Country Error"
                is OnboardingError.InvalidUserToken -> "${onboardingError.statusCode}: Invalid User Token ${onboardingError.message}"
                is OnboardingError.ServerError -> "${onboardingError.statusCode}: Server Error: ${onboardingError.message}"
                else -> "Unknown Error"
            }
        }
    }
}